Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I get an error while install xbrightness.

xbrightness-0.3-3.1.x86_64`
requires libXaw8.so.8()(64bit)

How can I install it?

share|improve this question
2  
What version of Fedora? What command did you use? If you used yum, what repositories have you enabled? If you didn't, where did you get the rpm? –  Gilles Jul 19 '11 at 15:42
add comment

1 Answer 1

I doubt that was compiled on Fedora. Even on rawhide, libXaw only provides libXaw.so.7()(64bit).

Looking a little deeper, it looks like you're trying to install an openSUSE package on Fedora. While at times that might work, I wouldn't recommend it.

As a general rule, you might be able to rebuild source rpms from other distributions on Fedora, but there's no guarantees that the package names for the build dependencies will line up. In this case, they don't.

That said, it is pretty easy to figure out what the build dependencies should be. I've done just that. There is a totally untested package here: http://steve.fedorapeople.org/xbrightness/

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.